Subject: bug#48307: [External] : bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Drew Adams <[email-masked]>
Date: Sun, 9 May 2021 16:30:24 +0000

> >  . should this affect only the faces whose fonts don't define their
> >    own size, or should it affect _all_ fonts?
> 
> Probably all of them except the ones that specify
> an absolute height?

Frame zooming does that.

> >  . should this really affect _all_ the buffers? e.g.,
> > what about the minibuffer and the echo-area buffers?
> 
> Yes, certainly.

Frame zooming does that.

> >  . should this affect the mode line?
> 
> Absolutely.

Frame zooming does that.

> >  . should this affect tooltips?
> 
> Yes, to the extent that we have control over that.

Frame zooming does not do that.

(And I, for one, don't think I would want that.  Maybe
it could be an optional behavior, if there's really a
use case for it.)

> >  . should this affect the fringes and their bitmaps?
> 
> That would be nice.

Frame zooming does not do that.

Likewise, it doesn't zoom scroll bar width.  But it would
certainly be possible to zoom such things (and tooltips).
That should likely be optional - be able to specify for
_each_ such non-font thing whether to zoom it when zooming
a frame.

> >  . should this affect the menu bar, the drop-down menus, and the GUI
> >    dialogs?
> 
> That's extra credit; I guess it could be nice?

Frame zooming does not do that.
 
> I hear "how do I resize the font in Emacs again?"
> more than once a week these days

There are likely many things in Emacs that people
learn and forget, if they don't use them often.
And not just Emacs.  I'm sure you're used to that,
as a teacher.

> A good approximation of what I would like that
> command to do is what menu-set-font does if you
> ignore the part about changing the face and only
> change the size part.

Frame zooming does that.

> Something similar to doing text-scale-adjust in
> every buffer would also work, too

That wouldn't let you show parts of the same buffer
in different windows with text show at different
sizes.